"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StarRail = void 0;
var StarRail;
(function (StarRail) {
    StarRail.fields = [];
})(StarRail = exports.StarRail || (exports.StarRail = {}));
class StarRailDatabase {
    constructor(app) {
        this.app = app;
        app.model.extend('binding', {
            sr: 'list'
        });
        app.model.extend('user', {
            sr_uid: 'string(9)'
        });
        app.model.extend('star_rail', {
            id: 'unsigned',
            uid: 'string(9)',
            doken: 'string',
            cookie: 'text'
        }, {
            primary: 'uid',
            unique: ['id', 'uid'],
            foreign: {
                id: ['user', 'id']
            }
        });
        app.on('ready', () => {
        });
    }
    /**
    * WIP
    */
    async getUid(id) {
        return await this.app.database.get('star_rail', id, ["uid"]);
    }
    async setUid(id, srUid, def = false) {
        if (def === true)
            await this.app.database.set('user', id, { sr_uid: srUid });
        await this.app.database.set('star_rail', id, { uid: srUid });
    }
    getStarFields(fields) {
        return;
    }
    extendDatabase(fields, config) {
        this.app.model.extend('star_rail', fields, config);
    }
}
exports.default = StarRailDatabase;
