"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpUtil = void 0;
class HttpUtil {
    constructor() {
        this._taskCount = 0;
        this._taskQueue = [];
        this.limit = (simult) => async (caller) => new Promise((resolve, reject) => {
            const _t = this.__createTask(caller, resolve, reject);
            if (this._taskCount >= simult)
                this._taskQueue.push(_t);
            else
                _t();
        });
        this.__createTask = (caller, resolve, reject) => () => {
            caller()
                .then(resolve)
                .catch(reject)
                .finally(() => {
                this._taskCount--;
                const _t = this._taskQueue.shift();
                _t();
            });
            this._taskCount++;
        };
    }
}
exports.HttpUtil = HttpUtil;
